# Class Constants

java.lang.Object
org.apache.catalina.authenticator.Constants

public class Constants extends Object
Constants used by the authentication framework.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COOKIE_PARTITIONED_ATTR`
The name of the attribute used to indicate a partitioned cookie as part of CHIPS.
`static final String`
`DEFAULT_JAAS_CONF`
The default JAAS login configuration file path.
`static final String`
`DEFAULT_KRB5_CONF`
The default Kerberos 5 configuration file path.
`static final String`
`DEFAULT_LOGIN_MODULE_NAME`
The default JAAS login module name.
`static final String`
`FORM_ACTION`
The URI for the form-based authentication login action.
`static final String`
`FORM_PASSWORD`
The parameter name for the form-based authentication password.
`static final String`
`FORM_REQUEST_NOTE`
The original request information, to which the user will be redirected if authentication succeeds, is cached in the notes under this key during the authentication process.
`static final String`
`FORM_USERNAME`
The parameter name for the form-based authentication username.
`static final String`
`JAAS_CONF_PROPERTY`
The system property for the JAAS login configuration file path.
`static final String`
`KRB5_CONF_PROPERTY`
The system property for the Kerberos 5 configuration file path.
`static final String`
`REQ_JASPIC_SUBJECT_NOTE`
The notes key for the JASPIC subject associated with the current request.
`static final String`
`REQ_SSOID_NOTE`
The notes key to track the single-sign-on identity with which this request is associated.
`static final String`
`SESS_PASSWORD_NOTE`
When the `cache` property of the authenticator is set to `false`, the Principal is not cached.
`static final String`
`SESS_USERNAME_NOTE`
When the `cache` property of the authenticator is set to `false`, the Principal is not cached.
`static final String`
`SESSION_ID_NOTE`
The session id used as a CSRF marker when redirecting a user's request.
`static final String`
`SINGLE_SIGN_ON_COOKIE`
The cookie name used for single sign-on support.
`static final String`
`SPNEGO_METHOD`
Vendor specific SPNEGO authentication method.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SPNEGO_METHOD

public static final String SPNEGO_METHOD
Vendor specific SPNEGO authentication method.

See Also:
  - Constant Field Values

### FORM_ACTION

public static final String FORM_ACTION
The URI for the form-based authentication login action.

See Also:
  - Constant Field Values

### FORM_PASSWORD

public static final String FORM_PASSWORD
The parameter name for the form-based authentication password.

See Also:
  - Constant Field Values

### FORM_USERNAME

public static final String FORM_USERNAME
The parameter name for the form-based authentication username.

See Also:
  - Constant Field Values

### KRB5_CONF_PROPERTY

public static final String KRB5_CONF_PROPERTY
The system property for the Kerberos 5 configuration file path.

See Also:
  - Constant Field Values

### DEFAULT_KRB5_CONF

public static final String DEFAULT_KRB5_CONF
The default Kerberos 5 configuration file path.

See Also:
  - Constant Field Values

### JAAS_CONF_PROPERTY

public static final String JAAS_CONF_PROPERTY
The system property for the JAAS login configuration file path.

See Also:
  - Constant Field Values

### DEFAULT_JAAS_CONF

public static final String DEFAULT_JAAS_CONF
The default JAAS login configuration file path.

See Also:
  - Constant Field Values

### DEFAULT_LOGIN_MODULE_NAME

public static final String DEFAULT_LOGIN_MODULE_NAME
The default JAAS login module name.

See Also:
  - Constant Field Values

### SINGLE_SIGN_ON_COOKIE

public static final String SINGLE_SIGN_ON_COOKIE
The cookie name used for single sign-on support.

See Also:
  - Constant Field Values

### COOKIE_PARTITIONED_ATTR

public static final String COOKIE_PARTITIONED_ATTR
The name of the attribute used to indicate a partitioned cookie as part of CHIPS. This cookie attribute is not defined by an RFC and may change in a non-backwards compatible way once equivalent functionality is included in an RFC.

See Also:
  - Constant Field Values

### REQ_SSOID_NOTE

public static final String REQ_SSOID_NOTE
The notes key to track the single-sign-on identity with which this request is associated.

See Also:
  - Constant Field Values

### REQ_JASPIC_SUBJECT_NOTE

public static final String REQ_JASPIC_SUBJECT_NOTE
The notes key for the JASPIC subject associated with the current request.

See Also:
  - Constant Field Values

### SESSION_ID_NOTE

public static final String SESSION_ID_NOTE
The session id used as a CSRF marker when redirecting a user's request.

See Also:
  - Constant Field Values

### SESS_PASSWORD_NOTE

public static final String SESS_PASSWORD_NOTE
When the `cache` property of the authenticator is set to `false`, the Principal is not cached. In this case, if the current request is part of a session, the password used to authenticate this user will be stored under this key so the user can be re-authenticated on subsequent requests.

See Also:
  - Constant Field Values

### SESS_USERNAME_NOTE

public static final String SESS_USERNAME_NOTE
When the `cache` property of the authenticator is set to `false`, the Principal is not cached. In this case, if the current request is part of a session, the username used to authenticate this user will be stored under this key so the user can be re-authenticated on subsequent requests.

See Also:
  - Constant Field Values

### FORM_REQUEST_NOTE

public static final String FORM_REQUEST_NOTE
The original request information, to which the user will be redirected if authentication succeeds, is cached in the notes under this key during the authentication process.

See Also:
  - Constant Field Values